clang 8.0.0

Functions
InitHeaderSearch.cpp File Reference
`#include "clang/Basic/FileManager.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Config/config.h"`
`#include "clang/Frontend/FrontendDiagnostic.h"`
`#include "clang/Frontend/Utils.h"`
`#include "clang/Lex/HeaderMap.h"`
`#include "clang/Lex/HeaderSearch.h"`
`#include "clang/Lex/HeaderSearchOptions.h"`
`#include "llvm/ADT/SmallPtrSet.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "llvm/ADT/Triple.h"`
`#include "llvm/ADT/Twine.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for InitHeaderSearch.cpp:

Go to the source code of this file.

## Functions
static bool | CanPrefixSysroot (StringRef Path)
static unsigned | RemoveDuplicates (std::vector< DirectoryLookup > &SearchList, unsigned First, bool Verbose)
| RemoveDuplicates - If there are duplicate directory entries in the specified search list, remove the later (dead) ones. More...

## Function Documentation

## ◆ CanPrefixSysroot()

static bool CanPrefixSysroot | ( | StringRef | Path | ) |
| static

Definition at line 110 of file InitHeaderSearch.cpp.

References clang::frontend::Angled, clang::SrcMgr::C_ExternCSystem, clang::SrcMgr::C_System, clang::SrcMgr::C_User, clang::frontend::ExternCSystem, clang::frontend::IndexHeaderMap, and clang::frontend::Quoted.

## ◆ RemoveDuplicates()

static unsigned RemoveDuplicates | ( | std::vector< DirectoryLookup > & | SearchList,
|  | unsigned | First,
|  | bool | Verbose
| ) |  |
| static

RemoveDuplicates - If there are duplicate directory entries in the specified search list, remove the later (dead) ones.

Returns the number of non-system headers removed, which is used to update NumAngled.

Definition at line 499 of file InitHeaderSearch.cpp.